Subject: Re: [PATCH] struct file cleanup : the very large file_ra_state is now allocated only on demand.

From: Nick Piggin <[email-masked]>
Date: Thu, 18 Aug 2005 13:00:54 +1000

Andi Kleen wrote:

>>You don't want to always have bad performance though, so you
>>could attempt to allocate if either the pointer is null _or_ it
>>points to the global structure?
>>
>
>Remember it's after a GFP_KERNEL OOM. If that fails most likely
>you have deadlocked somewhere else already because Linux's handling
>of that is so bad. Suboptimal readahead somewhere is the smallest
>of your problems.
>
>

True. And in practice it may not even be able to happen at the
moment if the page allocator still doesn't fail small order allocs.

But I guess the dream one day is to robustly handle any OOM :\

Send instant messages to your online friends http://au.messenger.yahoo.com